Subject: Re: Creating a separate console window via CreateProcess
From: <[email-masked]>
To: [email-masked]
Cc: Christopher Faylor <[email-masked]>
Date: Fri, 12 Feb 2010 18:55:10 -0500
List-Id: <cygwin.cygwin.com>

---- Christopher Faylor <[email-masked]> wrote: 
> On Fri, Feb 12, 2010 at 04:42:39PM -0500, [email-masked] wrote:
> >I built the test program with: gcc -mno-cygwin  creprc.c -o creprc 
> > 
> >Could someone help me understand what I am doing wrong? 
> 
> You're asking the Cygwin list for help.  The whole point of Cygwin is to
> avoid using the windows api.
> 
> However, to answer your specific question, possibly all you need is a
> FreeConsole() in there somewhere.
> 
> If that doesn't help then please find a windows forum for your question
> since it is off-topic here.
> 
> cgf

I should have been clearer in my original note.  The problem isn't with the Windows API, nor with the code I supplied.  The posted code works as I took it right out of the Xming source.  I believe the problem is with the ability of cygwin to cross compile the code. Perhaps it is just an issue with my cygwin environment.  As this list is for all questions concerning cygwin, it would seem to be the appropriate place to ask.  If there is a better list for the question, I am open to suggestions.

-Jeff

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple